package com.yd.csf.api;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication(scanBasePackages = "com.yd")
@MapperScan("com.yd.**.dao")
@EnableFeignClients(basePackages = "com.yd")
public class CsfApiApplication {

    public static void main(String[] args) {
        new SpringApplicationBuilder(CsfApiApplication.class)
                .properties("spring.application.name=" + "yd-csf-api")
                .build().run(args);
        System.out.println("(♥◠‿◠)ﾉﾞ  yd-csf-api启动成功   ლ(´ڡ`ლ)ﾞ ");
    }
}
